Subject: Re: bug#38197: 26.3; File opened by find-file appears in other window

From: martin rudalics <[email-masked]>
Date: Wed, 13 Nov 2019 18:25:14 +0100

> If find-file is used on a file that already exists in a buffer and there
 > is than one window then the buffer will be displayed in one of the

I suppose you mean "more" than one window here.

 > non-active windows. If the file does not exist in a buffer it will be
 > opened and displayed in the current window as expected.
 >
 > The problem seems to be related to the use of pop-to-buffer-same-window
 > in find-file. If the definition of find-file is changed to use
 > switch-to-buffer (as it was in emacs25) it works as expected.

I can't reproduce that here.  Regardless of whether the file's buffer
is shown in a window or not and whether there are one or two windows,
the file's buffeer is always shown in the selected window.  Please
provide a recipe with emacs -Q.

Thanks, martin